package Minecraft;

my $blockTypes = {
0  => "air",  # Air
1  => "natural",  # Stone
2  => "dirt",  # Grass
3  => "dirt",  # Dirt
4  => "natural",  # Cobblestone
5  => "wood",  # Oak Wood Plank
6  => "plant",  # Oak Sapling
7  => "natural",  # Bedrock
8  => "liquid",  # Flowing Water
9  => "liquid",  # Still Water
10  => "liquid",  # Flowing Lava
11  => "liquid",  # Still Lava
12  => "natural",  # Sand
13  => "natural",  # Gravel
14  => "natural",  # Gold Ore
15  => "natural",  # Iron Ore
16  => "natural",  # Coal Ore
17  => "wood",  # Oak Wood
18  => "plant",  # Oak Leaves
19  => "plant",  # Sponge
20  => "fragile",  # Glass
21  => "natural",  # Lapis Lazuli Ore
22  => "natural",  # Lapis Lazuli Block
23  => "crafted",  # Dispenser
24  => "natural",  # Sandstone
25  => "crafted",  # Note Block
26  => "fragile",  # Bed
27  => "crafted",  # Powered Rail
28  => "crafted",  # Detector Rail
29  => "crafted",  # Sticky Piston
30  => "plant",  # Cobweb
31  => "plant",  # Dead Shrub
32  => "plant",  # Dead Bush
33  => "natural",  # Piston
34  => "natural",  # Piston Head
35  => "natural",  # White Wool
37  => "plant",  # Dandelion
38  => "plant",  # Poppy
39  => "plant",  # Brown Mushroom
40  => "plant",  # Red Mushroom
41  => "natural",  # Gold Block
42  => "natural",  # Iron Block
43  => "crafted",  # Double Stone Slab
44  => "crafted",  # Stone Slab
45  => "natural",  # Bricks
46  => "fragile",  # TNT
47  => "fragile",  # Bookshelf
48  => "natural",  # Moss Stone
49  => "natural",  # Obsidian
50  => "fragile",  # Torch
51  => "fire",  # Fire
52  => "fragile",  # Monster Spawner
53  => "wood",  # Oak Wood Stairs
54  => "data",  # Chest
55  => "fragile",  # Redstone Wire
56  => "natural",  # Diamond Ore
57  => "natural",  # Diamond Block
58  => "crafted",  # Crafting Table
59  => "plant",  # Wheat Crops
60  => "dirt",  # Farmland
61  => "data",  # Furnace
62  => "data",  # Burning Furnace
63  => "data",  # Standing Sign Block
64  => "fragile",  # Oak Door Block
65  => "fragile",  # Ladder
66  => "fragile",  # Rail
67  => "crafted",  # Cobblestone Stairs
68  => "data",  # Wall-mounted Sign Block
69  => "fragile",  # Lever
70  => "fragile",  # Stone Pressure Plate
71  => "crafted",  # Iron Door Block
72  => "fragile",  # Wooden Pressure Plate
73  => "natural",  # Redstone Ore
74  => "natural",  # Glowing Redstone Ore
75  => "fragile",  # redstone torch
76  => "fragile",  # redstone torch
77  => "fragile",  # Stone Button
78  => "ice",  # Snow
79  => "ice",  # Ice
80  => "ice",  # Snow Block
81  => "plant",  # Cactus
82  => "natural",  # Clay
83  => "plant",  # Sugar Canes
84  => "crafted",  # Jukebox
85  => "fragile",  # Oak Fence
86  => "plant",  # Pumpkin
87  => "natural",  # Netherrack
88  => "natural",  # Soul Sand
89  => "natural",  # Glowstone
90  => "fragile",  # Nether Portal
91  => "plant",  # Jack o'Lantern
92  => "plant",  # Cake Block
93  => "fragile",  # redstone repeater
94  => "fragile", # redstone repeater
95  => "fragile",  # White Stained Glass
96  => "fragile",  # Wooden Trapdoor
97  => "natural",  # Stone Monster Egg
98  => "crafted",  # Stone Bricks
99  => "plant",  # Brown Mushroom Block
100  => "plant",  # Red Mushroom Block
101  => "crafted",  # Iron Bars
102  => "fragile",  # Glass Pane
103  => "plant",  # Melon Block
104  => "plant",  # Pumpkin Stem
105  => "plant",  # Melon Stem
106  => "plant",  # Vines
107  => "fragile",  # Oak Fence Gate
108  => "crafted",  # Brick Stairs
109  => "crafted",  # Stone Brick Stairs
110  => "dirt",  # Mycelium
111  => "plant",  # Lily Pad
112  => "crafted",  # Nether Brick
113  => "crafted",  # Nether Brick Fence
114  => "crafted",  # Nether Brick Stairs
115  => "plant",  # Nether Wart
116  => "crafted",  # Enchantment Table
117  => "fragile",  # Brewing Stand
118  => "crafted",  # Cauldron
119  => "fragile",  # End Portal
120  => "crafted",  # End Portal Frame
121  => "natural",  # End Stone
122  => "crafted",  # Dragon Egg
123  => "fragile",  # redstone lamp
124  => "fragile",  # redstone lamp
125  => "wood",  # Double Oak Wood Slab
126  => "wood",  # Oak Wood Slab
127  => "plant",  # Cocoa
128  => "crafted",  # Sandstone Stairs
129  => "natural",  # Emerald Ore
130  => "data",  # Ender Chest
131  => "fragile",  # Tripwire Hook
132  => "fragile",  # Tripwire
133  => "natural",  # Emerald Block
134  => "wood",  # Spruce Wood Stairs
135  => "wood",  # Birch Wood Stairs
136  => "wood",  # Jungle Wood Stairs
137  => "data",  # Command Block
138  => "crafted",  # Beacon
139  => "crafted",  # Cobblestone Wall
140  => "fragile",  # Flower Pot
141  => "plant",  # Carrots
142  => "plant",  # Potatoes
143  => "fragile",  # Wooden Button
144  => "fragile",  # Mob Head
145  => "crafted",  # Anvil
146  => "data",  # Trapped Chest
147  => "fragile",  # pressure plate
148  => "fragile",  # pressure plate
149  => "fragile",  # comparator
150  => "fragile",  # comparator
151  => "fragile",  # Daylight Sensor
152  => "natural",  # Redstone Block
153  => "natural",  # Nether Quartz Ore
154  => "crafted",  # Hopper
155  => "natural",  # Quartz Block
156  => "crafted",  # Quartz Stairs
157  => "fragile",  # Activator Rail
158  => "crafted",  # Dropper
159  => "natural",  # White Stained Clay
160  => "fragile",  # White Stained Glass Pane
161  => "plant",  # Acacia Leaves
162  => "wood",  # Acacia Wood
163  => "wood",  # Acacia Wood Stairs
164  => "wood",  # Dark Oak Wood Stairs
165  => "natural",  # Slime Block
166  => "natural",  # Barrier
167  => "crafted",  # Iron Trapdoor
168  => "natural",  # Prismarine
169  => "fragile",  # Sea Lantern
170  => "plant",  # Hay Bale
171  => "fragile",  # White Carpet
172  => "natural",  # Hardened Clay
173  => "natural",  # Block of Coal
174  => "ice",  # Packed Ice
175  => "plant",  # Sunflower
176  => "fragile",  # Free-standing Banner
177  => "fragile",  # Wall-mounted Banner
178  => "fragile",  # Inverted Daylight Sensor
179  => "natural",  # Red Sandstone
180  => "crafted",  # Red Sandstone Stairs
181  => "crafted",  # Double Red Sandstone Slab
182  => "crafted",  # Red Sandstone Slab
183  => "fragile",  # Spruce Fence Gate
184  => "fragile",  # Birch Fence Gate
185  => "fragile",  # Jungle Fence Gate
186  => "fragile",  # Dark Oak Fence Gate
187  => "fragile",  # Acacia Fence Gate
188  => "fragile",  # Spruce Fence
189  => "fragile",  # Birch Fence
190  => "fragile",  # Jungle Fence
191  => "fragile",  # Dark Oak Fence
192  => "fragile",  # Acacia Fence
193  => "fragile",  # Spruce Door Block
194  => "fragile",  # Birch Door Block
195  => "fragile",  # Jungle Door Block
196  => "fragile",  # Acacia Door Block
197  => "fragile",  # Dark Oak Door Block
198  => "fragile",  # End Rod
199  => "plant",  # Chorus Plant
200  => "plant",  # Chorus Flower
201  => "natural",  # Purpur Block
202  => "natural",  # Purpur Pillar
203  => "crafted",  # Purpur Stairs
204  => "crafted",  # Purpur Double Slab
205  => "crafted",  # Purpur Slab
206  => "crafted",  # End Stone Bricks
207  => "plant",  # Beetroot Block
208  => "dirt",  # Grass Path
209  => "fragile",  # End Gateway
210  => "data",  # Repeating Command Block
211  => "data",  # Chain Command Block
212  => "ice",  # Frosted Ice
255  => "crafted",  # Structure Block
};

sub blockType {
  my( $id ) = @_;
  return $blockTypes->{$id};
}

1;
